% Launch Dispersion Study with STK/Astrogator
% Analytical Graphics, Inc.
% Perl Script Written by John Carrico and Mike Shepherd, March, 2000
% Matlab Conversion written by Josh Lane

clear all

stkinit
conid = stkopen('localhost:5001');
rtn = stkConnect(conid,'ConControl','/ VerboseOn AckOn');
disp('Connected to STK');

initLatitude = stkExec(conid,'ASTROGATOR_RM */Satellite/Sat1 GETVALUE MainSEQUENCE.SegmentList.WallopsLaunch.Burnout.Geodetic.Latitude');
initLongitude = stkExec(conid,'ASTROGATOR_RM */Satellite/Sat1 GETVALUE MainSEQUENCE.SegmentList.WallopsLaunch.Burnout.Geodetic.Longitude');
initAltitude = stkExec(conid,'ASTROGATOR_RM */Satellite/Sat1 GETVALUE MainSEQUENCE.SegmentList.WallopsLaunch.Burnout.Geodetic.Altitude');
initFixedVelocity = stkExec(conid,'ASTROGATOR_RM */Satellite/Sat1 GETVALUE MainSEQUENCE.SegmentList.WallopsLaunch.Burnout.FixedVelocity');

stkclose(conid)